%define debug_package %{nil}
%global goipath github.com/wagoodman/dive
%global gourl   https://github.com/wagoodman/dive

Name:           dive
Version:        0.12.0
Release:        1%{?dist}
Summary:        A tool for exploring each layer in a docker image

License:        MIT
URL:            %{gourl}
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-%{version}-vendor.tar.xz

BuildRequires:  golang >= 1.22.7
BuildRequires:  golang-bin >= 1.22.7
BuildRequires:  git-core
BuildRequires:  go-rpm-macros

%description
A tool for exploring a docker image, layer contents, and discovering ways to shrink the size of your Docker/OCI image
%prep
%setup -q -a1

%build
mkdir -p build
%global gomodulesmode GO111MODULE=on
%gobuild -o build/%{name} %{goipath}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -Dpm 755 build/%{name} $RPM_BUILD_ROOT%{_bindir}/ 

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Thu Dec 12 2024 Alexander Lushin <alexander.lushin@mail.ru> - 0.12.0-1
- Initial build for el7.
